using System;

namespace druga_runda_2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int l = n * 2 + (m - 2) * 2;
            int k = l + ((m * n) - l) / 2;
            Console.WriteLine(k.ToString());
            
        }
    }
}